@ECHO OFF

REM ***********************************************************************
REM * LITE-NING INSTALL PROGRAM	 V1.1  06-01-93    ADTEC PRODUCTIONS INC. *
REM ***********************************************************************

REM ***********************************************************************
REM *	MAKE SURE CURRENT DRIVE IS CORRECT. IF NOT, SELECT IT.            *
REM ***********************************************************************

IF "%0"=="A:INSTALL"  A:
IF "%0"=="B:INSTALL"  B:
IF "%0"=="A:\INSTALL" A:
IF "%0"=="B:\INSTALL" B:
IF "%0"=="a:install"  A:
IF "%0"=="b:install"  B:
IF "%0"=="a:\install" A:
IF "%0"=="b:\install" B:

IF EXIST LITENING.EXE GOTO OPTCHK
A:
IF EXIST LITENING.EXE GOTO OPTCHK
B:
IF EXIST LITENING.EXE GOTO OPTCHK
ECHO.
ECHO   INSTALLATION ERROR- The source drive & files can not be found.
ECHO   Try changing to the source drive (A: or B:) and try again.
ECHO   Also, make sure that LITENING.EXE exists on the install disk.
ECHO.
ECHO           EXAMPLE- "A:" or "B:" to change to the drive
ECHO.		        then,
ECHO                    "INSTALL" to install on drive C.
ECHO.
GOTO QUIT

REM ***********************************************************************
REM *	SEE IF THE USER HAS SUPPLIED A HARD DRIVE LETTER OPTION.          *
REM ***********************************************************************

:OPTCHK
IF     "%1"=="" SET TARGET=C
IF NOT "%1"=="" SET TARGET=%1

IF "%TARGET%"=="c" SET TARGET=C
IF "%TARGET%"=="d" SET TARGET=D
IF "%TARGET%"=="e" SET TARGET=E
IF "%TARGET%"=="f" SET TARGET=F
IF "%TARGET%"=="g" SET TARGET=G
IF "%TARGET%"=="h" SET TARGET=H
IF "%TARGET%"=="i" SET TARGET=I
IF "%TARGET%"=="j" SET TARGET=J
IF "%TARGET%"=="k" SET TARGET=K
IF "%TARGET%"=="l" SET TARGET=L
IF "%TARGET%"=="m" SET TARGET=M
IF "%TARGET%"=="n" SET TARGET=N
IF "%TARGET%"=="o" SET TARGET=O
IF "%TARGET%"=="p" SET TARGET=P
IF "%TARGET%"=="q" SET TARGET=Q
IF "%TARGET%"=="r" SET TARGET=R

IF "%TARGET%"=="C" GOTO TARCHK
IF "%TARGET%"=="D" GOTO TARCHK
IF "%TARGET%"=="E" GOTO TARCHK
IF "%TARGET%"=="F" GOTO TARCHK
IF "%TARGET%"=="G" GOTO TARCHK
IF "%TARGET%"=="H" GOTO TARCHK
IF "%TARGET%"=="I" GOTO TARCHK
IF "%TARGET%"=="J" GOTO TARCHK
IF "%TARGET%"=="K" GOTO TARCHK
IF "%TARGET%"=="L" GOTO TARCHK
IF "%TARGET%"=="M" GOTO TARCHK
IF "%TARGET%"=="N" GOTO TARCHK
IF "%TARGET%"=="O" GOTO TARCHK
IF "%TARGET%"=="P" GOTO TARCHK
IF "%TARGET%"=="Q" GOTO TARCHK
IF "%TARGET%"=="R" GOTO TARCHK

REM ***********************************************************************
REM *	NO VALID HARD DRIVE LETTER SUPPLIED, DISPLAY USER PROMPT.         *
REM ***********************************************************************

ECHO.
ECHO   To install on drive C, simply type "INSTALL".
ECHO.
ECHO           EXAMPLE- "INSTALL" to install on drive C.
ECHO.
ECHO   To install on any drive, specify the drive letter (C-R).
ECHO.
ECHO           EXAMPLE- "INSTALL D"  to install on drive D.
ECHO.
GOTO QUIT

REM ***********************************************************************
REM *	MAKE SURE TARGET DRIVE LETTER IS VALID.                           *
REM ***********************************************************************

:TARCHK
IF EXIST %TARGET%:\*.* GOTO INSTALL
ECHO.
ECHO   INSTALLATION ERROR- The specified target drive does not exist.
ECHO   Please specify a new drive (or leave unspecified to default to C).
ECHO.
ECHO           EXAMPLE- "INSTALL" to install on drive C.
ECHO.
ECHO           EXAMPLE- "INSTALL D"  to install on drive D.
ECHO.
GOTO QUIT

REM ***********************************************************************
REM *	HARD DRIVE LETTER OK, DE-COMPRESS & INSTALL FILES.                *
REM ***********************************************************************

:INSTALL
CLS
ECHO.
ECHO LITE-NING Installation Program
ECHO V1.1  6-93   (C) 1993   by Adtec Productions Inc.
ECHO.
LITENING -d -n %TARGET%:\

REM ***********************************************************************
REM *   INSTALLATION DONE, DISPLAY COMPLETION MESSAGE.                    *
REM ***********************************************************************

CLS
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO            Installation completed, LITE-NING installed at %TARGET%:\LITE.
ECHO.
ECHO   The LITE-NING Development System is in the %TARGET%:\LITE directory & is started
ECHO   with the STARTMB.BAT program. If you have a menu program, you may want to
ECHO   add this information.
ECHO.
ECHO   If you wish to start the LITE-NING Development System, press any key now.
ECHO.
ECHO   Press "CTRL" & "C" and answer "Y" if you do not wish to startup LITE-NING.
ECHO.
ECHO.
ECHO.
ECHO.
PAUSE

REM ***********************************************************************
REM *	USER HAS DECIDED TO START UP LITE-NING, START IT.                 *
REM ***********************************************************************

CLS
%TARGET%:
CD LITE
STARTMB
CLS

:QUIT
